# ApplicationFramework
TKPShape
PColgp

# PColgp_HArray1OfPnt Class Reference

`#include <PColgp_HArray1OfPnt.hxx>`

## Public Member Functions

Standard_EXPORT | PColgp_HArray1OfPnt (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColgp_HArray1OfPnt (const Standard_Integer Low, const Standard_Integer Up, const gp_Pnt &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const gp_Pnt &Value)
Standard_Integer | Upper () const
Standard_EXPORT gp_Pnt | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColgp_HArray1OfPnt ()
| PColgp_HArray1OfPnt (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColgp_HArray1OfPntLowerBound () const
void | _CSFDB_SetPColgp_HArray1OfPntLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray1OfPntUpperBound () const
void | _CSFDB_SetPColgp_HArray1OfPntUpperBound (const Standard_Integer p)
const PColgp_FieldOfHArray1OfPnt & | _CSFDB_GetPColgp_HArray1OfPntData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColgp_FieldOfHArray1OfPnt | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColgp_FieldOfHArray1OfPnt | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_HArray1OfPnt::PColgp_HArray1OfPnt | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColgp_HArray1OfPnt::PColgp_HArray1OfPnt | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const gp_Pnt & | V
| ) |

PColgp_HArray1OfPnt::PColgp_HArray1OfPnt | ( |  | ) | `[inline]`

PColgp_HArray1OfPnt::PColgp_HArray1OfPnt | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColgp_FieldOfHArray1OfPnt& PColgp_HArray1OfPnt::_CSFDB_GetPColgp_HArray1OfPntData | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray1OfPnt::_CSFDB_GetPColgp_HArray1OfPntLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray1OfPnt::_CSFDB_GetPColgp_HArray1OfPntUpperBound | ( |  | ) | const`[inline]`

void PColgp_HArray1OfPnt::_CSFDB_SetPColgp_HArray1OfPntLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray1OfPnt::_CSFDB_SetPColgp_HArray1OfPntUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColgp_HArray1OfPnt::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColgp_FieldOfHArray1OfPnt PColgp_HArray1OfPnt::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColgp_HArray1OfPnt::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColgp_HArray1OfPnt::Length | ( |  | ) | const

Standard_Integer PColgp_HArray1OfPnt::Lower | ( |  | ) | const

Standard_EXPORT void PColgp_HArray1OfPnt::SetValue | ( | const Standard_Integer | Index,
|  | const gp_Pnt & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColgp_HArray1OfPnt::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColgp_HArray1OfPnt::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColgp_HArray1OfPnt::Upper | ( |  | ) | const

Standard_EXPORT gp_Pnt PColgp_HArray1OfPnt::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColgp_FieldOfHArray1OfPnt PColgp_HArray1OfPnt::Data `[private]`

Standard_Integer PColgp_HArray1OfPnt::LowerBound `[private]`

Standard_Integer PColgp_HArray1OfPnt::UpperBound `[private]`

The documentation for this class was generated from the following file:

- PColgp_HArray1OfPnt.hxx